<?php

declare(strict_types=1);

namespace App\Scolarite\Domain\Model\TeacherReplacement;

use App\Administration\Domain\Model\SchoolClass\ClassId;
use App\Administration\Domain\Model\Subject\SubjectId;

final readonly class ClassSubjectPair
{
    public function __construct(
        public ClassId $classId,
        public SubjectId $subjectId,
    ) {
    }

    public function equals(self $other): bool
    {
        return $this->classId->equals($other->classId)
            && $this->subjectId->equals($other->subjectId);
    }
}
